Emgmbh\RecordBundle\Entity\Alarm:
    type: entity
    repositoryClass: AlarmRepository
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY
    indexes:
        date:
            columns:
                - date
    fields:
        date:
            type: date
            nullable: false
        data:
            type: json_array
            nullable: false
        hash:
            type: string
            nullable: false
            length: 32
        type:
            type: smallint
            nullable: false

    manyToOne:
        worker:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
    lifecycleCallbacks: {  }
